NappModel@@@hr@@@g/mL@@@2@@@0@@@102@@@-Adv3(iv2c)@@@;	2-Compartment model with bolus or continuous input
;	applicable for multiple dosing

t -= Lag,
j = if II then floor(t / II + Dini) else 1 endif,
if j  <> n then
	n = j,
	if Dini == 0 then ;	<< steady state >>
		a3 = aa a1,
		b3 = bb b1
	elsif n < 1 then ;	<< before first dosing >>
		a3 = 0,
		b3 = 0,
	elsif n == 1 then ;	<< first dosing >>
		a3 = a1,
		b3 = b1,
	else	;			<< general case >>
		a3 = aa a1 (1 - exp(n Alpha II)),
		b3 = bb b1 (1 - exp(n Beta II))
	endif,
	a4 = a3 - a1,
	b4 = b3 - b1
endif,
if n <> Dini then t -= II (n - Dini) endif,
if t < 0 or (t == 0 and RATE <> 0 and Dini == 1) or a3 == 0 then
	y = 0
elsif RATE <> 0 and t < Tinf then ;		<< during infusion >>
	y = 	a4 exp(Alpha t) + b4 exp(Beta t) +
		a2 (1 - exp(Alpha t)) + b2 (1 - exp(Beta t))
else ;				<< after infusion >>
	y = a3 exp(Alpha t) + b3 exp(Beta t)
endif
@@@solve2eq(K + K12 + K21, K21 K, Alpha, Beta),
n = AMT F1 / S1 / (Beta - Alpha),	; temporally
a1 = -n (K21 + Alpha),
b1 = n (K21 + Beta), 
if RATE <> 0 then
	Tinf = if RATE > 0 then AMT / RATE else abs(RATE) endif,
	a2 = - a1 / Tinf / Alpha,
	b2 = - b1 / Tinf / Beta,
	a1 = a2 (exp(-Alpha Tinf) - 1),
	b1 = b2 (exp(-Beta Tinf) - 1)
endif,
aa = 1 /  ( 1 - exp(Alpha II)),
bb = 1 /  ( 1 - exp(Beta II)),
n = -9999,
Thalf_beta = -log(2) / Beta
@@@y@@@t@@@hisaka@@@akihiro@@@@@@2001-12-04 14:20:14@@@2012-04-25 15:23:34@@@@@@10@@@16@@@AMT@@@en###dose###ja###Ϳ###Japanese###Ϳ###English###Dose@@@1@@@1@@@0@@@0@@@1@@@mg@@@RATE@@@en###dosing rate, period for negative###ja###Ϳ®١ξͿ֡###Japanese###® (ֻ0Ȥ롢֤ͤȤʤ)###English###Infusion rate (enter 0 for bolus input, enter minus value for fixed infusion period)@@@1@@@0@@@0@@@0@@@1@@@mg/hr@@@F1@@@en###availability###ja###٥ӥƥ###Japanese###ѡȥȤʪŪΨ###English###Bioavailability for central compartment@@@1@@@1@@@0@@@0@@@1@@@hr@@@S1@@@en###distribution volume###ja###ʬ###Japanese###ѡȥȤʬ (Vc)###English###Scale for central compartment (Vc)@@@0@@@1@@@0@@@0@@@1@@@L@@@K12@@@en###rate constant###ja###®###Japanese###®###English###Rate constant@@@0@@@1@@@0@@@0@@@1@@@/hr@@@K21@@@en###rate constant###ja###®###Japanese###®###English###Rate constant@@@0@@@1@@@0@@@0@@@1@@@/hr@@@K@@@en###elimination rate###ja###ü®###Japanese###ü® (Ke)###English###Elimination constant (Ke)@@@0@@@1@@@0@@@0@@@1@@@/hr@@@Lag@@@en###lagtime###ja###饰###Japanese###饰###English###Lag time@@@1@@@1@@@0@@@0@@@0@@@hr@@@Dini@@@en#### of dose until first analysis(0 for inifinite)###ja###ϽޤǤͿ(֤0)###Japanese###ǽͿ (̾ϣ)###English###Dosing cycle of the initial dosing (Enter 0 for steady state)@@@1@@@1@@@0@@@0@@@1@@@times@@@II@@@en###dosing interval###ja###Ϳֳ###Japanese###Ϳֳ (ñͿ0Ȥ)###English###Interdose interval (enter 0 for single dose)@@@1@@@1@@@0@@@0@@@0@@@hr@@@Alpha@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@Beta@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@Tinf@@@Japanese###Infusion period (Enter 0 for bolus input)@@@1@@@1@@@0@@@0@@@1@@@@@@b3@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@b4@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@Thalf_beta@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@aa@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@bb@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@j@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@n@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@a1@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@a2@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@a3@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@a4@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@b1@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@b2@@@Japanese###@@@0@@@0@@@0@@@0@@@0@@@@@@en###2-Compartment model after intravenous dose (including multiple dose)###ja###̮Ϳ2-ѡȥȥǥȿͿޤ###Japanese###ֻ뤤ϻ³2-ѡȥȥǥ(Ϣ³Ϳб)###English###2-Compartment model with bolus or continuous input (applicable for multiple dosing)@@@